> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.talqora.com/api-reference/indexes/create/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.talqora.com/_mcp/server. # Create Index POST https://api.talqora.com/v1/indexes Content-Type: application/json Reference: https://docs.talqora.com/api-reference/indexes/create ## Authentication - `Authorization` header (bearer token, required) — Use a tq_live_ API key as a Bearer token. ## Request ### Headers - `x-talqora-organization-id` (string, optional, nullable) ### Body (application/json) This endpoint expects an IndexCreate. - `name` (string, required) - `dimensions` (integer, optional, default: 1536) - `distance_metric` (enum, optional, default: cosine) - Allowed values: `cosine`, `euclidean` - `aws_region` (string, optional, nullable) - `non_filterable_metadata_keys` (list of string, optional) ## Response ### 201 Successful Response - `id` (string, required) - `name` (string, required) - `dimensions` (integer, required) - `distance_metric` (enum, required) - Allowed values: `cosine`, `euclidean` - `aws_region` (string, required) - `non_filterable_metadata_keys` (list of string, required) - `created_at` (datetime, required) - `parent_index_id` (string, optional, nullable) - `branch_depth` (integer, optional, default: 0) ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItems ## Examples **Request** ```json { "name": "string" } ``` **Response** ```json { "id": "string", "name": "string", "dimensions": 1, "distance_metric": "cosine", "aws_region": "string", "non_filterable_metadata_keys": [ "string" ], "created_at": "2024-01-15T09:30:00Z", "parent_index_id": "string", "branch_depth": 0 } ``` **SDK Code** ```python import requests url = "https://api.talqora.com/v1/indexes" payload = { "name": "string" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.talqora.com/v1/indexes'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"name":"string"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.talqora.com/v1/indexes" payload := strings.NewReader("{\n \"name\": \"string\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.talqora.com/v1/indexes") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"name\": \"string\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.talqora.com/v1/indexes") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"name\": \"string\"\n}") .asString(); ``` ```php request('POST', 'https://api.talqora.com/v1/indexes', [ 'body' => '{ "name": "string" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.talqora.com/v1/indexes"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"name\": \"string\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["name": "string"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.talqora.com/v1/indexes")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```